Bug 833041 - akonadi-googledata should be removed from Fedora
akonadi-googledata should be removed from Fedora
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: akonadi-googledata (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Santagiuliana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 09:09 EDT by Otso Helenius
Modified: 2013-07-31 20:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:25:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Otso Helenius 2012-06-18 09:09:43 EDT
Description of problem:

Both akonadi-googledata and akonadi-google are found in the F17 repository. I was about to report a bug in the akonadi-google package in the KDE bug tracker when I noticed that their bugzilla *specifically* says:

"GoogleData Resource: Akonadi Resource for accessing Google calendar and contacts. DO NOT USE IT. Use the akonadi-google resource."

I checked and noticed that I had accidentally installed them both by yum install akonadi-google*. It is rather confusing that Fedora ships both with the deprecated and recommended package. Thus the old googledata package should be removed.
Comment 1 Rex Dieter 2012-06-18 09:46:17 EDT
Hrm, Mario what do you think?  we can add the Obsoletes to kdepim-runtime-4.9 like what we did for akonadi-google too ?
Comment 2 Mario Santagiuliana 2012-06-18 10:39:30 EDT
There is a misunderstanding.
akonadi-google [1] and akonadi-googledata [2] are different projects and they provides both a resource for google contacts and google calendars.

akonadi-google will be included in kdepim-runtime, like Rex say.
akonadi-googledata seems a "dead" project...it is written in C language and provides a C library but akonadi-google is more up to date and developers are more actively in akonadi-google than akonadi-googledata...

I would like to support both projects, they are different...
But...yes this could confuse users so I think the best thing is to drop akonadi-googledata and support only up to date akonadi-google...I can continue package libgcal (library for akonadi-googldata).

Rex, if you think we can drop akonadi-googledata adding obsoletes statement for me is ok...

[1] https://admin.fedoraproject.org/pkgdb/acls/name/akonadi-google
[2] https://admin.fedoraproject.org/pkgdb/acls/name/akonadi-googledata
Comment 3 Rex Dieter 2012-06-18 10:56:04 EDT
No strong opinion from me, I'll leave it up to you whether we continue to carry akonadi-googledata or not.  it's your package.
Comment 4 Mario Santagiuliana 2012-06-18 12:47:16 EDT
I no longer use akonadi-googledata in favour of akonadi-google (more update and with less bugs that make impossible to use these resources).
Ok, I will drop this package in favour of akonadi-google.
Please, Rex, could you follow me in this process? It is first time I remove a package in Fedora.
Just I need to follow this page?
http://code.google.com/p/libgcal/

Thank you!
Comment 6 Mario Santagiuliana 2012-06-18 13:09:51 EDT
Oh sorry...I didn't the correct item in my clipboard... thank you :)
Comment 7 Mario Santagiuliana 2012-06-21 03:10:42 EDT
Sorry for my late (I have a lot of work to do...)...and for my mistake in my replies...

I am going to retire this package. Rex for me you can add akonadi-googledata in kdepim-runtime.
Let me know when I can start the remove process!

Thank you very much!
Comment 8 Fedora End Of Life 2013-07-03 18:28:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 20:25:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.